%global momorel 1
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE image Interface Plugins
Name: kipi-plugins
Version: 0.1.2
Release: %{momorel}m
License: GPL
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 4c06a75f4d49f44c55ace9ed46e0f592
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}, k3b
Requires: ImageMagick, mjpegtools
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libkipi-devel >= 0.1.4, libkexif-devel >= 0.2.4, libexif-devel >= 0.6.13
BuildPreReq: ImageMagick-devel >= 5.5.4, mjpegtools-devel >= 1.6.0 libtiff-devel >= 3.5.0
BuildPreReq: gphoto2 >= 2.1.5-3m, libgphoto2-devel >= 2.1.5-3m
BuildPreReq: imlib2-devel >= 1.1.0, libxml2-devel

%description
The library of the KDE Image Plugin Interface.  

Libkipi allows image applications to use a plugin architecture 
for additional functionality  such as: RawConverter, SlideShow, 
MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--mandir=%{_mandir} \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et it nl pt pt_BR ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PACKAGING README TODO
%{_bindir}/images2mpg
%{_bindir}/kipidcrawclient
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_datadir}/apps/kipi/data/autorun
%{_datadir}/apps/kipi/data/image_broken.png
%{_datadir}/apps/kipi/data/index.htm
%{_datadir}/apps/kipi/*.png
%{_datadir}/apps/kipi/tips
%{_datadir}/apps/kipiplugin*
%{_datadir}/config.kcfg/htmlexportconfig.kcfg
%{_datadir}/doc/HTML/*/kipi-plugins
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/*.desktop
%{_mandir}/man1/images2mpg.1*
%{_mandir}/man1/kipidcrawclient.1*

%changelog
* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.5m)
- fix symlinks

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.4m)
- add --enable-new-ldflags to configure

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.3m)
- rebuild against libexif-0.6.12-1m

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.1m)
- update to version 0.1.0-rc1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
